Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1600276 - SELinux is preventing upowerd from 'connectto' accesses on the unix_stream_socket /run/usbmuxd.
Summary: SELinux is preventing upowerd from 'connectto' accesses on the unix_stream_so...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:34264a7d6b92a4161bce0d8a9d2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-11 21:37 UTC by Angie
Modified: 2018-09-12 02:59 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.2-34.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-12 02:59:01 UTC


Attachments (Terms of Use)

Description Angie 2018-07-11 21:37:04 UTC
Description of problem:
SELinux is preventing upowerd from 'connectto' accesses on the unix_stream_socket /run/usbmuxd.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that upowerd should be allowed connectto access on the usbmuxd unix_stream_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'upowerd' --raw | audit2allow -M my-upowerd
# semodule -X 300 -i my-upowerd.pp

Additional Information:
Source Context                system_u:system_r:init_t:s0
Target Context                system_u:system_r:usbmuxd_t:s0
Target Objects                /run/usbmuxd [ unix_stream_socket ]
Source                        upowerd
Source Path                   upowerd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.2-26.fc29.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.18.0-0.rc4.git0.1.fc29.x86_64 #1
                              SMP Mon Jul 9 23:27:25 UTC 2018 x86_64 x86_64
Alert Count                   204
First Seen                    2018-07-10 16:47:53 PDT
Last Seen                     2018-07-10 17:04:48 PDT
Local ID                      7e7ff5f8-b093-4d7a-b18e-967bfcfb26f1

Raw Audit Messages
type=AVC msg=audit(1531267488.353:986): avc:  denied  { connectto } for  pid=1484 comm="upowerd" path="/run/usbmuxd" scontext=system_u:system_r:init_t:s0 tcontext=system_u:system_r:usbmuxd_t:s0 tclass=unix_stream_socket permissive=0


Hash: upowerd,init_t,usbmuxd_t,unix_stream_socket,connectto

Version-Release number of selected component:
selinux-policy-3.14.2-26.fc29.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.18.0-0.rc4.git0.1.fc29.x86_64
type:           libreport

Comment 1 Jan Kurik 2018-08-14 11:17:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Fedora Update System 2018-09-11 12:52:36 UTC
selinux-policy-3.14.2-34.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-db240a1726

Comment 3 Fedora Update System 2018-09-12 02:59:01 UTC
selinux-policy-3.14.2-34.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.